"use strict";
var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var src_exports = {};
__export(src_exports, {
  configs: () => configs,
  rules: () => rules
});
module.exports = __toCommonJS(src_exports);
var import_order_properties = __toESM(require("./rules/order-properties.js"));
var import_prefer_repository_shorthand = __toESM(require("./rules/prefer-repository-shorthand.js"));
var import_sort_collections = __toESM(require("./rules/sort-collections.js"));
var import_unique_dependencies = __toESM(require("./rules/unique-dependencies.js"));
var import_valid_local_dependency = __toESM(require("./rules/valid-local-dependency.js"));
var import_valid_name = __toESM(require("./rules/valid-name.js"));
var import_valid_package_def = __toESM(require("./rules/valid-package-def.js"));
var import_valid_repository_directory = __toESM(require("./rules/valid-repository-directory.js"));
var import_valid_version = __toESM(require("./rules/valid-version.js"));
const rules = {
  "order-properties": import_order_properties.default,
  "prefer-repository-shorthand": import_prefer_repository_shorthand.default,
  "sort-collections": import_sort_collections.default,
  "unique-dependencies": import_unique_dependencies.default,
  "valid-local-dependency": import_valid_local_dependency.default,
  "valid-name": import_valid_name.default,
  "valid-package-def": import_valid_package_def.default,
  "valid-repository-directory": import_valid_repository_directory.default,
  "valid-version": import_valid_version.default
};
const configs = {
  recommended: {
    rules: Object.fromEntries(
      Object.entries(rules).filter(([, rule]) => rule.meta.docs?.recommended).map(([name]) => ["package-json/" + name, "error"])
    )
  }
};
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  configs,
  rules
});
//# sourceMappingURL=index.js.map